#include <iostream>
#include <vector>
#include <random>

std::random_device util_dev;
std::mt19937 util_rng(util_dev());

int random_item(std::vector<int> items, bool get_id) {
    std::uniform_int_distribution<std::mt19937::result_type> dist_len(0,items.size()-1); 
    int id = dist_len(util_rng);
    return get_id ? id : items[id];
}
